#ifndef PLAYERGLOBALINFO_H
#define PLAYERGLOBALINFO_H

// #include <vector>
#include <QByteArray>
#include <QImage>


struct Image_QImage
{
    QImage image;
    int width;
    int height;

    Image_QImage();
    ~Image_QImage() {}
    /* 移动构造函数 */
    Image_QImage(Image_QImage&& other);
    /* 拷贝构造函数 */
    Image_QImage(const Image_QImage& other);
    /* 重载= */
    Image_QImage& operator=(const Image_QImage& other);
    /* 移动幅值函数 */
    void moveFrom(Image_QImage& other);
};



#endif /* PLAYERGLOBALINFO_H */
